## r-cran-mime 0.5

=== DESCRIPTION ===
Package: mime
Type: Package
Title: Map Filenames to MIME Types
Version: 0.5
Date: 2016-07-07
Authors@R: c(person("Jeffrey", "Horner", role = "ctb"),
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name"))
Maintainer: Yihui Xie <xie@yihui.name>
Description: Guesses the MIME type from a filename extension using the data
    derived from /etc/mime.types in UNIX-type systems.
Imports: tools
License: GPL
URL: https://github.com/yihui/mime
BugReports: https://github.com/yihui/mime/issues
LazyData: TRUE
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-07-07 04:44:41 UTC; yihui
Author: Jeffrey Horner [ctb],
  Yihui Xie [aut, cre]
Repository: CRAN
Date/Publication: 2016-07-07 07:38:00

## r-cran-mime 0.4

=== debian/changelog ===
r-cran-mime (0.4-2) unstable; urgency=low

  * Initial release. Closes: #808156
  * debian/rules: do not install upstream NEWS file twice
  * debian/copyright: completed.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 21 Dec 2015 14:56:57 +0000

r-cran-mime (0.4-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 10 Nov 2015 09:51:23 +0100

=== debian/control ===
Source: r-cran-mime
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/mime/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-mime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-mime.git

Package: r-cran-mime
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}
Description: R package which maps filenames to MIME Types
 Guesses the MIME type from a filename extension using the data derived
 from /etc/mime.types in UNIX-type systems.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/mime_([-\d\.]*)\.tar.gz

## r-cran-mime 0.5

=== debian/changelog ===
r-cran-mime (0.5-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 09:31:45 +0000

r-cran-mime (0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * Convert to dh-r
  * Canonical CRAN homepage
  * debhelper 10
  * d/watch:
     - version=4
     - do not s/-/./
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 17:42:33 +0100

=== debian/control ===
Source: r-cran-mime
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-mime.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-mime.git
Homepage: https://cran.r-project.org/package=mime

Package: r-cran-mime
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package which maps filenames to MIME Types
 Guesses the MIME type from a filename extension using the data derived
 from /etc/mime.types in UNIX-type systems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/mime_([-\d\.]*)\.tar.gz

## r-cran-mime 0.6

=== DESCRIPTION ===
Package: mime
Type: Package
Title: Map Filenames to MIME Types
Version: 0.6
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Jeffrey", "Horner", role = "ctb"),
    person("Beilei", "Bian", role = "ctb")
    )
Description: Guesses the MIME type from a filename extension using the data
    derived from /etc/mime.types in UNIX-type systems.
Imports: tools
License: GPL
URL: https://github.com/yihui/mime
BugReports: https://github.com/yihui/mime/issues
LazyData: TRUE
RoxygenNote: 6.1.0
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-10-05 16:50:15 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Jeffrey Horner [ctb],
  Beilei Bian [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2018-10-05 18:10:03 UTC

=== debian/changelog ===
r-cran-mime (0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Oct 2018 14:41:41 +0200

r-cran-mime (0.5-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 13:55:09 +0200

=== debian/control ===
Source: r-cran-mime
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mime
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mime.git
Homepage: https://cran.r-project.org/package=mime

Package: r-cran-mime
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package which maps filenames to MIME Types
 Guesses the MIME type from a filename extension using the data derived
 from /etc/mime.types in UNIX-type systems.

## r-cran-mime 0.7

=== debian/changelog ===
r-cran-mime (0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 11:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mime.git
 Homepage: https://cran.r-project.org/package=mime

## r-cran-mime 0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: mime
 Type: Package
 Title: Map Filenames to MIME Types
-Version: 0.6
+Version: 0.9
 Authors@R: c(
     person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
     person("Jeffrey", "Horner", role = "ctb"),
@@ -14,13 +14,13 @@
 URL: https://github.com/yihui/mime
 BugReports: https://github.com/yihui/mime/issues
 LazyData: TRUE
-RoxygenNote: 6.1.0
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-10-05 16:50:15 UTC; yihui
+Packaged: 2020-02-04 17:11:45 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   Jeffrey Horner [ctb],
   Beilei Bian [ctb]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2018-10-05 18:10:03 UTC
+Date/Publication: 2020-02-04 18:20:06 UTC

=== debian/changelog ===
r-cran-mime (0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 19:09:47 +0100

r-cran-mime (0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 12:50:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mime.git
 Homepage: https://cran.r-project.org/package=mime

## r-cran-mime 0.12

=== DESCRIPTION ===
Package: mime
Type: Package
Title: Map Filenames to MIME Types
Version: 0.12
Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("Jeffrey", "Horner", role = "ctb"),
    person("Beilei", "Bian", role = "ctb")
    )
Description: Guesses the MIME type from a filename extension using the data
    derived from /etc/mime.types in UNIX-type systems.
Imports: tools
License: GPL
URL: https://github.com/yihui/mime
BugReports: https://github.com/yihui/mime/issues
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-09-28 02:06:04 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Jeffrey Horner [ctb],
  Beilei Bian [ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2021-09-28 05:00:05 UTC

=== debian/changelog ===
r-cran-mime (0.12-2) unstable; urgency=medium

  [ routine-update ]
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme

  [ Joost van Baal-Ilić ]
  * d/control: remove Uploaders (it had only my name)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 08:31:09 +0000

r-cran-mime (0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 08:25:50 +0200

r-cran-mime (0.11-1) unstable; urgency=medium

  * Team upload
  * /etc/mime.types will replace application/x-xcf with image/x-xcf
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * lintian-override

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 14:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: r-cran-mime
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mime.git
 Homepage: https://cran.r-project.org/package=mime
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mime
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/mime_([-\d\.]*)\.tar.gz

## r-cran-mime 0.13

=== debian/changelog ===
r-cran-mime (0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove obsolete patch about XCF files.
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 10:13:13 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: r-cran-mime
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mime.git
 Homepage: https://cran.r-project.org/package=mime
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-mime
 Architecture: any
